# Endpoint

<mark style="color:green;">`GET`</mark> [`https://pro.circular.bot/market/tokens`](https://pro.circular.bot/market/tokens)

Tokens Mint List

**Headers**

<pre class="language-json"><code class="lang-json"><strong>{
</strong>    "Content-Type": "application/json",
    "x-api-key": "your-api-key"
}
</code></pre>

**Parameters**

```json
{
    "maxTokensList": 10, // Maximum list, sorted by most to least interesting
    "maxTimeRange": 900, // Time range in which gains are taken into account
    "excludeTokens": [ // Exclude tokens from the return list
        "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v", // USDC
        "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB" // USDT
    ],
    "provider": "JITO", // Optional, Filter by provider list ("JITO", "FAST", "TEMPORAL", "BLOX", "NEXTBLOCK", "NO_PROVIDER")
    "token": "So11111111111111111111111111111111111111112" // Token with which you arbitrate to determine the most relevant mints
}
```

**Response**

{% tabs %}
{% tab title="200" %}

```json
[
  "So11111111111111111111111111111111111111112",
  "BbtrrZ2ExfCTzrndFBCx5iNDFXxuVxNMdEZ14BZxpump",
  "6b7NtVRo6jDSUZ75qfhHgpy99XVkSu1kfoTFu2E3pump",
  ...
]
```

{% endtab %}
{% endtabs %}

**Informations:**

* Requests per minute: 20
* Available plans: [**PRO**](https://www.circular.bot/plans)
* More technical information [here](https://pro.circular.bot/documentation#operation/tokens_market_tokens_get)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.circular.bot/circular-docs/api/tokens/transactions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
